Bug 127157 - graphics/cinepaint fails to compile
Summary: graphics/cinepaint fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-06 20:00 UTC by J. Altman
Modified: 2008-09-09 03:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J. Altman 2008-09-06 20:00:03 UTC
cinepaint fails to compile:

        [snip many other, prior, warnings and/or errors]

Compiling icc_profile_tags.cpp ...
In file included from icc_profile.h:39,
                 from icc_profile_tags.cpp:38:
icc_profile_header.h: In member function 'void ICCheader::set_magic()':
icc_profile_header.h:99: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_manufacturer()':
icc_profile_header.h:121: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_model()':
icc_profile_header.h:127: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_creator()':
icc_profile_header.h:167: warning: deprecated conversion from string
constant to 'char*'
Compiling icc_schnell.cpp ...
Compiling icc_speicher.cpp ...
Compiling icc_thread_daten.cpp ...
Compiling icc_ueber.cpp ...
Compiling icc_utils.cpp ...
Compiling icc_vrml.cpp ...
Compiling icc_vrml_parser.cpp ...
Compiling threads.cpp ...
Compiling icc_helfer_fltk.cpp ...
In file included from icc_profile.h:39,
                 from icc_kette.h:35,
                 from icc_examin.h:35,
                 from icc_helfer_fltk.cpp:219:
icc_profile_header.h: In member function 'void ICCheader::set_magic()':
icc_profile_header.h:99: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_manufacturer()':
icc_profile_header.h:121: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_model()':
icc_profile_header.h:127: warning: deprecated conversion from string
constant to 'char*'
icc_profile_header.h: In member function 'void ICCheader::set_creator()':
icc_profile_header.h:167: warning: deprecated conversion from string
constant to 'char*'
icc_helfer_fltk.cpp: In function 'int icc_examin_ns::awake()':
icc_helfer_fltk.cpp:229: error: call of overloaded 'awake(int)' is ambiguous
/usr/local/include/Fl/Fl.H:277: note: candidates are: static void Fl::awake(void*)
/usr/local/include/Fl/Fl.H:278: note:                 static int
Fl::awake(void (*)(void*), void*)
icc_helfer_fltk.cpp: At global scope:
icc_helfer_fltk.cpp:235: warning: 'icc_examin_ns::data_mutex_' defined
but not used
icc_helfer_fltk.cpp:236: warning: 'icc_examin_ns::data_mutex_thread_'
defined but not used
icc_helfer_fltk.cpp:237: warning: 'icc_examin_ns::data_mutex_threads_'
defined but not used
*** Error code 1
Stop in
/usr/ports/graphics/cinepaint/work/cinepaint-0.22-1/plug-ins/icc_examin/icc_examin.
*** Error code 1
Stop in /usr/ports/graphics/cinepaint/work/cinepaint-0.22-1/plug-ins/icc_examin.
*** Error code 1
Stop in /usr/ports/graphics/cinepaint/work/cinepaint-0.22-1/plug-ins.
*** Error code 1
Stop in /usr/ports/graphics/cinepaint/work/cinepaint-0.22-1.
*** Error code 1
Stop in /usr/ports/graphics/cinepaint.
*** Error code 1
Stop in /usr/ports/graphics/cinepaint.

How-To-Repeat:  type "make install" in the port directory. It fails with both
        WITH_OPENEXR=true and WITHOUT_OPENEXR=true.
Comment 1 Beech Rintoul freebsd_committer 2008-09-06 20:09:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2008-09-06 20:16:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback
Comment 3 dfilter service freebsd_committer 2008-09-07 00:43:47 UTC
beech       2008-09-06 23:43:33 UTC

  FreeBSD ports repository

  Modified files:
    graphics/cinepaint   Makefile 
  Log:
  - Mark broken, won't compile.
  
  PR:             ports/127157
  Submitted by:   J. Altman <freebsd@chthonic.com>
  
  Revision  Changes    Path
  1.24      +2 -0      ports/graphics/cinepaint/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Edwin Groothuis freebsd_committer 2008-09-07 05:04:33 UTC
Maintainer of graphics/cinepaint,

Please note that PR ports/127157 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127157

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 Beech Rintoul freebsd_committer 2008-09-07 23:43:17 UTC
State Changed
From-To: feedback->open

Solution found
Comment 6 Beech Rintoul freebsd_committer 2008-09-08 22:01:13 UTC
State Changed
From-To: open->closed

Fix committed, Thanks!
Comment 7 J. Altman 2008-09-09 02:48:34 UTC
Greetings...

I can now build Cinepaint; thank you all for your help.

Best regards,

Joe


On Mon, Sep 08, 2008 at 09:01:33PM +0000, beech@FreeBSD.org wrote:
>
> Synopsis: graphics/cinepaint fails to compile
> 
> State-Changed-From-To: open->closed
> State-Changed-By: beech
> State-Changed-When: Mon Sep 8 21:01:13 UTC 2008
> State-Changed-Why: 
> Fix committed, Thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127157